SoftwareContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareContainer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ApacheWebContainer, EJBContainer, EmbeddedTomcatWebContainer, IPlanetWebContainer, J2EEWebContainer, JettyWebContainer, JVMContainer, OracleAppJSPContainer, ProcessContainer, WebContainer, WebLogicEJBContainer, WebLogicWebContainer, WebSphereEJBContainer, WebSphereWebContainer

    public interface SoftwareContainer

extends LogicalElement

Represents an abstraction of a runtime environment for hosting some application logic. The runtime environment typically manages the lifecycle of a set of software components and the resources available to them.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SOFTCNTR
Display Name:
  name

Field Summary
`static int` | `RUNNING`
`static int` | `STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`BindAddress[]` | `getBindAddresses()`
`java.lang.String` | `getName()`
`AppServer` | `getParent()`
`int` | `getStatus()`
`boolean` | `hasBindAddresses()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasStatus()`
`void` | `setBindAddresses(BindAddress[] bindAddresses)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(AppServer parent)`
`void` | `setStatus(int status)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### RUNNING

    static final int RUNNING

See Also:
  Constant Field Values

### STOPPED

    static final int STOPPED

See Also:
  Constant Field Values

Method Detail

### getParent

    AppServer getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(AppServer parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getBindAddresses

    BindAddress[] getBindAddresses()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddresses

    void setBindAddresses(BindAddress[] bindAddresses)

### hasBindAddresses

    boolean hasBindAddresses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD